<?php
// generování obrázku blokuje/neblokuje

require_once("./functions.php");

$sDirObrazku = "img/" . $_GET["styl"] . "/";

if(empty($_GET["ip"])) {
  $sIP = $_SERVER['REMOTE_ADDR'];
} else {
  $sIP = $_GET["ip"];
}

if(Blokuje($sIP)){
  $bBlokuje = 1;
  $rObrazek = imagecreatefrompng($sDirObrazku . "1.png");
} else {
  $bBlokuje = 0;
  $rObrazek = imagecreatefrompng($sDirObrazku . "0.png");
}

if(empty($_GET["count"])){
  pocitadlo($bBlokuje);
  // kde vsude jsem?
/*  if (!empty($_SERVER['HTTP_REFERER'])) {
    $sDomena = parse_url($_SERVER['HTTP_REFERER'], PHP_URL_HOST);
    $sSql = sprintf("INSERT INTO ref (ref) VALUES ('%s')", mysql_real_escape_string($sDomena));
    askDb($sSql);
  }*/
}

if(!empty($_GET["isp"])) {
  $sIspName = $_GET["isp"];
  $bBlokuje = 1;
  ImageDestroy($rObrazek);
  $rObrazek = imagecreatefrompng($sDirObrazku . "1.png");
}

if(file_exists($sDirObrazku . "postproc.php")){
  require_once($sDirObrazku . "postproc.php");
}

imagealphablending($rObrazek, false);
imagesavealpha($rObrazek,true);

header('Content-type: image/png');
ImagePNG($rObrazek);
ImageDestroy($rObrazek);

?>
